
module ddr3 (
	emif_usr_reset_n,
	emif_usr_clk,
	global_reset_n,
	pll_ref_clk,
	oct_rzqin,
	mem_ck,
	mem_ck_n,
	mem_a,
	mem_ba,
	mem_cke,
	mem_cs_n,
	mem_odt,
	mem_reset_n,
	mem_we_n,
	mem_ras_n,
	mem_cas_n,
	mem_dqs,
	mem_dqs_n,
	mem_dq,
	mem_dm,
	local_cal_success,
	local_cal_fail,
	amm_ready_0,
	amm_read_0,
	amm_write_0,
	amm_address_0,
	amm_readdata_0,
	amm_writedata_0,
	amm_burstcount_0,
	amm_byteenable_0,
	amm_readdatavalid_0);	

	output		emif_usr_reset_n;
	output		emif_usr_clk;
	input		global_reset_n;
	input		pll_ref_clk;
	input		oct_rzqin;
	output	[0:0]	mem_ck;
	output	[0:0]	mem_ck_n;
	output	[14:0]	mem_a;
	output	[2:0]	mem_ba;
	output	[0:0]	mem_cke;
	output	[0:0]	mem_cs_n;
	output	[0:0]	mem_odt;
	output	[0:0]	mem_reset_n;
	output	[0:0]	mem_we_n;
	output	[0:0]	mem_ras_n;
	output	[0:0]	mem_cas_n;
	inout	[4:0]	mem_dqs;
	inout	[4:0]	mem_dqs_n;
	inout	[39:0]	mem_dq;
	output	[4:0]	mem_dm;
	output		local_cal_success;
	output		local_cal_fail;
	output		amm_ready_0;
	input		amm_read_0;
	input		amm_write_0;
	input	[24:0]	amm_address_0;
	output	[319:0]	amm_readdata_0;
	input	[319:0]	amm_writedata_0;
	input	[6:0]	amm_burstcount_0;
	input	[39:0]	amm_byteenable_0;
	output		amm_readdatavalid_0;
endmodule
